wreport::sys::MMap Class Reference

Wraps a mmapped memory area, unmapping it on destruction. More...

`#include <sys.h>`

## Public Member Functions

| MMap (const MMap &)=delete
| MMap (MMap &&)
| MMap (void *addr, size_t length)
MMap & | operator= (const MMap &)=delete
MMap & | operator= (MMap &&)
size_t | size () const
void | munmap ()
template<typename T>
| operator const T * () const
template<typename T>
| operator T* () const

## Detailed Description

Wraps a mmapped memory area, unmapping it on destruction.

MMap objects can be used as normal pointers

The documentation for this class was generated from the following file:

- sys.h